//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class PortalCharts
    {
        public PortalCharts()
        {
            this.PortalChartColumns = new HashSet<PortalChartColumns>();
            this.PortalChartParams = new HashSet<PortalChartParams>();
            this.PortalChartUserGroups = new HashSet<PortalChartUserGroups>();
        }
    
        public int IdChart { get; set; }
        public string ChartName { get; set; }
        public Nullable<int> IdSAPQuery { get; set; }
        public string NameSAPQuery { get; set; }
        public int IdChartType { get; set; }
        public string PortalPage { get; set; }
        public int IdCompany { get; set; }
        public bool MenuChart { get; set; }
    
        public virtual CompanyConns CompanyConns { get; set; }
        public virtual ICollection<PortalChartColumns> PortalChartColumns { get; set; }
        public virtual ICollection<PortalChartParams> PortalChartParams { get; set; }
        public virtual PortalChartTypes PortalChartTypes { get; set; }
        public virtual ICollection<PortalChartUserGroups> PortalChartUserGroups { get; set; }
    }
}
